4Suite™ API Documentation

# ► Module Ft.Rdf.Inference.Query

WWW: http://4suite.org/4RDF e-mail: support@4suite.org
Copyright (c) 1999 Fourthought Inc, USA. All Rights Reserved.
See http://4suite.org/COPYRIGHT for license and copyright information

Classes: DualQuery, Query, SingleQuery

## Classes

class DualQuery(Query)
A Complete with 2 arguments

### Methods

query(self, infEng, context)

### Methods inherited from class Query

__init__, execute

class Query

### Methods

__init__(self, id_, arguments)
execute(self, infEng, context)

class SingleQuery(Query)
Complete and RDF triple with the argument as the subject and the object ignored

### Methods

query(self, infEng, context)

### Methods inherited from class Query

__init__, execute